### Function

# Vips InterpolateMethod

#### Declaration

    void
    (* VipsInterpolateMethod) (
      VipsInterpolate* interpolate,
      void* out,
      VipsRegion* in,
      double x,
      double y
    )

#### Description [src]

An interpolation function. It should read source pixels from `in` with `VIPS_REGION_ADDR()`, it can look left and up from (x, y) by `window_offset` pixels and it can access pixels in a window of size `window_size`.

The interpolated value should be written to the pixel pointed to by `out`.

See also

`VipsInterpolateClass`.

#### Parameters

`interpolate`

  Type: `VipsInterpolate`

  The interpolator.

  The data is owned by the caller of the function.

`out`

  Type: `void*`

  Write the interpolated pixel here.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`in`

  Type: `VipsRegion`

  Read source pixels from here.

  The data is owned by the caller of the function.

`x`

  Type: `double`

  Interpolate value at this position.

`y`

  Type: `double`

  Interpolate value at this position.